Use autoconf's endian check instead of the locally defined check
so that we can determine the endianess without having to compile
a program.

Idea from http://www.security-lists.org/lists/libnet/2003/03/00001.html

Also remove the old test from aclocal.m4.

--- libnet/configure.in	2005/11/15 03:49:30	1.1
+++ libnet/configure.in	2005/11/15 03:50:29
@@ -7,6 +7,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 
+AC_PREREQ(2.52)
 AC_INIT(src/libnet_build_ip.c)
 LIBNET_VERSION=`cat VERSION`
 AC_MSG_RESULT(beginning autoconfiguration process for libnet-$LIBNET_VERSION...)
@@ -29,7 +30,16 @@
 dnl And some custom things
 dnl
 
-AC_LIBNET_ENDIAN_CHECK
+AC_C_BIGENDIAN([
+ AC_DEFINE(LIBNET_BIG_ENDIAN)
+ ENDIANESS="LIBNET_BIG_ENDIAN"
+ LIBNET_CONFIG_DEFINES="$LIBNET_CONFIG_DEFINES -DLIBNET_BIG_ENDIAN"
+],[
+ AC_DEFINE(LIBNET_LIL_ENDIAN)
+ ENDIANESS="LIBNET_LIL_ENDIAN"
+ LIBNET_CONFIG_DEFINES="$LIBNET_CONFIG_DEFINES -DLIBNET_LIL_ENDIAN"
+], AC_MSG_WARN(cannot detect endianess. try setting ac_cv_c_bigendian to yes or no)) 
+
 AC_LBL_UNALIGNED_ACCESS
 dnl AC_LBL_LIBRARY_NET
 
